curl --request GET \
--url https://api.x.com/2/communities/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/communities/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/communities/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}Search Communities
Retrieves a list of Communities matching the specified search query.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Query to search communities.
1 - 4096"Love"
The maximum number of search results to be returned by a request.
10 <= x <= 100This parameter is used to get the next 'page' of results. The value used with the parameter is pulled directly from the response provided by the API, and should not be modified. The next token.
1This parameter is used to get the next 'page' of results. The value used with the parameter is pulled directly from the response provided by the API, and should not be modified. The next token.
1A comma separated list of Community fields to display. The fields available for a Community object.
1access, created_at, description, id, join_policy, member_count, name [
"access",
"created_at",
"description",
"id",
"join_policy",
"member_count",
"name"
]
Response
The request has succeeded.
1Show child attributes
Show child attributes
1An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes